kcca-class {kernlab} | R Documentation

## Class "kcca"

### Description

The "kcca" class

### Objects from the Class

Objects can be created by calls of the form `new("kcca", ...)`. or by the calling the `kcca` function.

### Slots

`kcor`:

  Object of class `"vector"` describing the correlations

`xcoef`:

  Object of class `"matrix"` estimated coefficients for the `x` variables

`ycoef`:

  Object of class `"matrix"` estimated coefficients for the `y` variables

### Methods

kcor

  `signature(object = "kcca")`: returns the correlations

xcoef

  `signature(object = "kcca")`: returns the estimated coefficients for the `x` variables

ycoef

  `signature(object = "kcca")`: returns the estimated coefficients for the `y` variables

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`kcca`, `kpca-class`

### Examples

    ## dummy data
    x <- matrix(rnorm(30),15)
    y <- matrix(rnorm(30),15)

    kcca(x,y,ncomps=2)

[Package kernlab version 0.9-27 Index]